import { StorageHandler, CallHandler, ReadOnlyStorageHandler } from 'live-connect-common';
import { L as LiveConnectConfig, E as EventBus, I as InternalLiveConnect } from './types.d-taXy9ZnI.js';
export { D as DurableCache, S as StorageHandlerBackedCache, W as WrappedStorageHandler } from './types.d-taXy9ZnI.js';

declare function LiveConnect(liveConnectConfig: LiveConnectConfig, externalStorageHandler: StorageHandler, externalCallHandler: CallHandler, mode: 'minimal' | string, externalEventBus?: EventBus): InternalLiveConnect | null;

declare function MinimalLiveConnect(liveConnectConfig: LiveConnectConfig, externalStorageHandler: ReadOnlyStorageHandler, externalCallHandler: CallHandler, externalEventBus?: EventBus): InternalLiveConnect;

declare function StandardLiveConnect(liveConnectConfig: LiveConnectConfig, externalStorageHandler: StorageHandler, externalCallHandler: CallHandler, externalEventBus?: EventBus): InternalLiveConnect;

export { InternalLiveConnect, LiveConnect, LiveConnectConfig, MinimalLiveConnect, StandardLiveConnect };
